VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::networking::firewall::addr::InboundStub Class Reference

Remote stub implementation of the Inbound API service. More...

Inherits vmware::appliance::techpreview::networking::firewall::addr::Inbound.

List of all members.

## Public Member Functions
| InboundStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
void | Add (long pos, vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.FirewallAddressRule rule)
| Add a firewall rule to allow or deny traffic from incoming IP address.
void | Add (long pos, vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.FirewallAddressRule rule, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Add a firewall rule to allow or deny traffic from incoming IP address.
global::System.Threading.Tasks.Task | AddAsync (long pos, vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.FirewallAddressRule rule)
| Add a firewall rule to allow or deny traffic from incoming IP address.
global::System.Threading.Tasks.Task | AddAsync (long pos, vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.FirewallAddressRule rule, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Add a firewall rule to allow or deny traffic from incoming IP address.
void | Set (global::System.Collections.Generic.List< vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.FirewallAddressRule > rules)
| Set list of inbound IP addresses to allow or deny by firewall.
void | Set (global::System.Collections.Generic.List< vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.FirewallAddressRule > rules, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Set list of inbound IP addresses to allow or deny by firewall.
global::System.Threading.Tasks.Task | SetAsync (global::System.Collections.Generic.List< vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.FirewallAddressRule > rules)
| Set list of inbound IP addresses to allow or deny by firewall.
global::System.Threading.Tasks.Task | SetAsync (global::System.Collections.Generic.List< vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.FirewallAddressRule > rules, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Set list of inbound IP addresses to allow or deny by firewall.
global::System.Collections.Generic.List < vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.FirewallAddressRule > | List ()
| Get ordered list of inbound IP addresses that are allowed or denied by firewall.
global::System.Collections.Generic.List < vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.FirewallAddressRule > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get ordered list of inbound IP addresses that are allowed or denied by firewall.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.FirewallAddressRule > > | ListAsync ()
| Get ordered list of inbound IP addresses that are allowed or denied by firewall.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.FirewallAddressRule > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get ordered list of inbound IP addresses that are allowed or denied by firewall.
void | Delete (vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.DeleteFirewallRule config)
| Delete specific rule at a given position or delete all rules.
void | Delete (vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.DeleteFirewallRule config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Delete specific rule at a given position or delete all rules.
global::System.Threading.Tasks.Task | DeleteAsync (vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.DeleteFirewallRule config)
| Delete specific rule at a given position or delete all rules.
global::System.Threading.Tasks.Task | DeleteAsync (vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.DeleteFirewallRule config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Delete specific rule at a given position or delete all rules.

## Detailed Description

Remote stub implementation of the Inbound API service.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::networking::firewall::addr::InboundStub::InboundStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

void vmware::appliance::techpreview::networking::firewall::addr::InboundStub::Add | ( | long | pos,
|  | vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.FirewallAddressRule | rule
| ) |  | `[inline]`

Add a firewall rule to allow or deny traffic from incoming IP address.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  pos | Position before which to insert the rule (zero-based). If you try to insert the rule in a position whose number is greater than the number of rules, the firewall rule is inserted at the end of the list.
  rule | Firewall IP-based rule.

Implements vmware::appliance::techpreview::networking::firewall::addr::Inbound.

void vmware::appliance::techpreview::networking::firewall::addr::InboundStub::Add | ( | long | pos,
|  | vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.FirewallAddressRule | rule,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Add a firewall rule to allow or deny traffic from incoming IP address.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  pos | Position before which to insert the rule (zero-based). If you try to insert the rule in a position whose number is greater than the number of rules, the firewall rule is inserted at the end of the list.
  rule | Firewall IP-based rule.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::techpreview::networking::firewall::addr::Inbound.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::networking::firewall::addr::InboundStub::AddAsync | ( | long | pos,
|  | vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.FirewallAddressRule | rule,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Add a firewall rule to allow or deny traffic from incoming IP address.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  pos | Position before which to insert the rule (zero-based). If you try to insert the rule in a position whose number is greater than the number of rules, the firewall rule is inserted at the end of the list.
  rule | Firewall IP-based rule.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::techpreview::networking::firewall::addr::Inbound.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::networking::firewall::addr::InboundStub::AddAsync | ( | long | pos,
|  | vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.FirewallAddressRule | rule
| ) |  | `[inline]`

Add a firewall rule to allow or deny traffic from incoming IP address.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  pos | Position before which to insert the rule (zero-based). If you try to insert the rule in a position whose number is greater than the number of rules, the firewall rule is inserted at the end of the list.
  rule | Firewall IP-based rule.

Implements vmware::appliance::techpreview::networking::firewall::addr::Inbound.

void vmware::appliance::techpreview::networking::firewall::addr::InboundStub::Delete | ( | vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.DeleteFirewallRule | config | ) | `[inline]`

Delete specific rule at a given position or delete all rules.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | Delete a firewall rule

Implements vmware::appliance::techpreview::networking::firewall::addr::Inbound.

void vmware::appliance::techpreview::networking::firewall::addr::InboundStub::Delete | ( | vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.DeleteFirewallRule | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Delete specific rule at a given position or delete all rules.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | Delete a firewall rule
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::techpreview::networking::firewall::addr::Inbound.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::networking::firewall::addr::InboundStub::DeleteAsync | ( | vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.DeleteFirewallRule | config | ) | `[inline]`

Delete specific rule at a given position or delete all rules.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | Delete a firewall rule

Implements vmware::appliance::techpreview::networking::firewall::addr::Inbound.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::networking::firewall::addr::InboundStub::DeleteAsync | ( | vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.DeleteFirewallRule | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Delete specific rule at a given position or delete all rules.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | Delete a firewall rule
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::techpreview::networking::firewall::addr::Inbound.

global::System.Collections.Generic.List<vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.FirewallAddressRule> vmware::appliance::techpreview::networking::firewall::addr::InboundStub::List | ( |  | ) | `[inline]`

Get ordered list of inbound IP addresses that are allowed or denied by firewall.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  List of address-based firewall rules.

Implements vmware::appliance::techpreview::networking::firewall::addr::Inbound.

global::System.Collections.Generic.List<vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.FirewallAddressRule> vmware::appliance::techpreview::networking::firewall::addr::InboundStub::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get ordered list of inbound IP addresses that are allowed or denied by firewall.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  List of address-based firewall rules.

Implements vmware::appliance::techpreview::networking::firewall::addr::Inbound.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.FirewallAddressRule> > vmware::appliance::techpreview::networking::firewall::addr::InboundStub::ListAsync | ( |  | ) | `[inline]`

Get ordered list of inbound IP addresses that are allowed or denied by firewall.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  List of address-based firewall rules.

Implements vmware::appliance::techpreview::networking::firewall::addr::Inbound.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.FirewallAddressRule> > vmware::appliance::techpreview::networking::firewall::addr::InboundStub::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get ordered list of inbound IP addresses that are allowed or denied by firewall.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  List of address-based firewall rules.

Implements vmware::appliance::techpreview::networking::firewall::addr::Inbound.

void vmware::appliance::techpreview::networking::firewall::addr::InboundStub::Set | ( | global::System.Collections.Generic.List< vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.FirewallAddressRule > | rules | ) | `[inline]`

Set list of inbound IP addresses to allow or deny by firewall.

This replaces all existing rules. Firewall rules have no impact on closed ports because these ports are closed for all traffic.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  rules | List of address-based firewall rules.

Implements vmware::appliance::techpreview::networking::firewall::addr::Inbound.

void vmware::appliance::techpreview::networking::firewall::addr::InboundStub::Set | ( | global::System.Collections.Generic.List< vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.FirewallAddressRule > | rules,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Set list of inbound IP addresses to allow or deny by firewall.

This replaces all existing rules. Firewall rules have no impact on closed ports because these ports are closed for all traffic.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  rules | List of address-based firewall rules.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::techpreview::networking::firewall::addr::Inbound.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::networking::firewall::addr::InboundStub::SetAsync | ( | global::System.Collections.Generic.List< vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.FirewallAddressRule > | rules,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Set list of inbound IP addresses to allow or deny by firewall.

This replaces all existing rules. Firewall rules have no impact on closed ports because these ports are closed for all traffic.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  rules | List of address-based firewall rules.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::techpreview::networking::firewall::addr::Inbound.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::networking::firewall::addr::InboundStub::SetAsync | ( | global::System.Collections.Generic.List< vmware.appliance.techpreview.networking.firewall.addr.InboundTypes.FirewallAddressRule > | rules | ) | `[inline]`

Set list of inbound IP addresses to allow or deny by firewall.

This replaces all existing rules. Firewall rules have no impact on closed ports because these ports are closed for all traffic.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  rules | List of address-based firewall rules.

Implements vmware::appliance::techpreview::networking::firewall::addr::Inbound.

The documentation for this class was generated from the following file:

- InboundStub.cs